mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices._CustomAttributeBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._CustomAttributeBuilder)) System.Runtime.InteropServices.ComVisible(true)

Use the CustomAttributeBuilder object returned by the constructor to describe the custom attribute. Associate the CustomAttribute with a builder instance by calling the SetCustomAttribute method on that builder instance. For example, create a CustomAttributeBuilder to describe an instance of AssemblyCultureAttribute by supplying the constructor of and its argument. Then call on an AssemblyBuilder to establish the association.

Helps build custom attributes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The elements of the array are restricted to element types. They can be byte, sbyte, int, uint, long, ulong, float, double, String, char, bool, an enum, a type, any of the previous types that was cast to an object, or a single-dimension, zero-based array of any of the previous types.

  Initializes an instance of the CustomAttributeBuilder class given the constructor for the custom attribute and the arguments to the constructor.

  The constructor for the custom attribute.
  The arguments to the constructor of the custom attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The elements of the and arrays are restricted to element types. They can be byte, sbyte, int, uint, long, ulong, float, double, String, char, bool, an enum, a type, any of the previous types that was cast to an object, or a single-dimension, zero-based array of any of the previous types.

  Do not include private fields in . Doing so will cause to be thrown when the method is later called on the completed type.

  Initializes an instance of the CustomAttributeBuilder class given the constructor for the custom attribute, the arguments to the constructor, and a set of named field/value pairs.

  The constructor for the custom attribute.
  The arguments to the constructor of the custom attribute.
  Named fields of the custom attribute.
  Values for the named fields of the custom attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The elements of the and arrays are restricted to element types. They can be byte, sbyte, int, uint, long, ulong, float, double, String, char, bool, an enum, a type, any of the previous types that was cast to an object, or a single-dimension, zero-based array of any of the previous types.

  Do not include private properties in . Doing so will cause to be thrown when the method is later called on the completed type.

  Initializes an instance of the CustomAttributeBuilder class given the constructor for the custom attribute, the arguments to the constructor, and a set of named property or value pairs.

  The constructor for the custom attribute.
  The arguments to the constructor of the custom attribute.
  Named properties of the custom attribute.
  Values for the named properties of the custom attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The elements of the , , or arrays are restricted to element types. They can be byte, sbyte, int, uint, long, ulong, float, double, String, char, bool, an enum, a type, any of the previous types that was cast to an object, or a single-dimension, zero-based array of any of the previous types.

  Do not include private properties or fields in or . Doing so will cause to be thrown when the method is later called on the completed type.

  Initializes an instance of the CustomAttributeBuilder class given the constructor for the custom attribute, the arguments to the constructor, a set of named property or value pairs, and a set of named field or value pairs.

  The constructor for the custom attribute.
  The arguments to the constructor of the custom attribute.
  Named properties of the custom attribute.
  Values for the named properties of the custom attribute.
  Named fields of the custom attribute.
  Values for the named fields of the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.